/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2004, 2009. All Rights Reserved.
 *  
 * U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 ******************************************************************************/

import com.rational.test.ft.object.interfaces.TestObject;
import com.rational.test.ft.script.RationalTestScript;

public class TerminalScript extends RationalTestScript
{
	/**
	 * @param screen
	 * @return
	 */
	protected String formatScreenText(TestObject screen, boolean html)
	{
		String unformatted = (String) screen.getProperty(".textPlane");
		int columns = ((Integer)screen.getProperty("columns")).intValue();
		int rows = ((Integer)screen.getProperty("rows")).intValue();

		String formatted = "";
		for (int i = 0; i < rows; i++)
		{
			formatted += unformatted.substring(i * columns, (i + 1) * columns) + "\n";
		}

		if (html)
			formatted = "<pre>" + formatted + "</pre>";
		return formatted;
	}

	static final public String COPYRIGHT = "5724-J07 (C) Copyright IBM Corp. 2004 All rights reserved.";
	static final public String COPYRIGHT = "5724-J07 (C) Copyright IBM Corp. 2004 All rights reserved.";
}

